﻿using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples
{
    public partial class SetTheZoomLevelsOnAMarker : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;
                Map1.MapTools.PanZoomBar.Enabled = true;
                Map1.MapTools.MouseCoordinate.Enabled = true;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                FeatureSourceMarkerOverlay markerOverlay = new FeatureSourceMarkerOverlay("Markers");
                FeatureSourceMarkerOverlay markerOverlay1 = new FeatureSourceMarkerOverlay("Markers1");

                markerOverlay.FeatureSource = new ShapeFileFeatureSource(MapPath("~/SampleData/USA/cities_a.shp"));
                markerOverlay1.FeatureSource = new ShapeFileFeatureSource(MapPath("~/SampleData/USA/cities_a.shp"));

               

                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage = new WebImage("../../theme/default/samplepic/yellowcircle.png", 35, 35);

              

               // markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage = new WebImage("./theme/default/samplepic/yellowcircle.png");

                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.Text = "A";
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.FontColor = GeoColor.StandardColors.OrangeRed;
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.FontStyle = new GeoFont("Arial", 20, DrawingFontStyles.Regular);
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.TextOffsetX = 5F;
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.TextOffsetY = 5F;

                //markerOverlay.ZoomLevelSet.ZoomLevel04.DefaultMarkerStyle.Popup.ContentHtml = "<div class='popCss'><span style='color:#ff6500;'><b>[#AREANAME#]</b></span> city with <span style='color:#ff6500;'><b>[#POP2000#]</b></span> thousand people.</div>";
                //markerOverlay.ZoomLevelSet.ZoomLevel04.DefaultMarkerStyle.Popup.AutoSize = true;
                //markerOverlay.ZoomLevelSet.ZoomLevel04.DefaultMarkerStyle.Popup.BorderColor = GeoColor.StandardColors.Gray;
                //markerOverlay.ZoomLevelSet.ZoomLevel04.DefaultMarkerStyle.Popup.BorderWidth = 1;
                markerOverlay.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                //markerOverlay.ZoomLevelSet.ZoomLevel06.CustomMarkerStyle = classBreakStyle;
                //markerOverlay.ZoomLevelSet.ZoomLevel06.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level10;
                

                markerOverlay1.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage = new WebImage("../../theme/default/samplepic/yellowcircle.png", 35, 35);

                // markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage = new WebImage("./theme/default/samplepic/yellowcircle.png");

                ////markerOverlay1.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.Text = "A";
                ////markerOverlay1.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.FontColor = GeoColor.StandardColors.OrangeRed;
                ////markerOverlay1.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.FontStyle = new GeoFont("Arial", 20, DrawingFontStyles.Regular);
                ////markerOverlay1.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.TextOffsetX = 5F;
                ////markerOverlay1.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.TextOffsetY = 5F;

                //markerOverlay1.ZoomLevelSet.ZoomLevel04.DefaultMarkerStyle.Popup.ContentHtml = "<div class='popCss'><span style='color:#ff6500;'><b>[#AREANAME#]</b></span> city with <span style='color:#ff6500;'><b>[#POP2000#]</b></span> thousand people.</div>";
                //markerOverlay1.ZoomLevelSet.ZoomLevel04.DefaultMarkerStyle.Popup.AutoSize = true;
                //markerOverlay1.ZoomLevelSet.ZoomLevel04.DefaultMarkerStyle.Popup.BorderColor = GeoColor.StandardColors.Gray;
                //markerOverlay1.ZoomLevelSet.ZoomLevel04.DefaultMarkerStyle.Popup.BorderWidth = 1;
                markerOverlay1.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                //markerOverlay.ZoomLevelSet.ZoomLevel06.CustomMarkerStyle = classBreakStyle;
                //markerOverlay.ZoomLevelSet.ZoomLevel06.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level10;
                

                Map1.CustomOverlays.Add(markerOverlay1);
                Map1.CustomOverlays.Add(markerOverlay);
                Map1.CurrentExtent = new RectangleShape(-120.22, 40.05, -110.03, 32.91);
            }
        }
    }
}
